<template>

<div class="px-0 container text-left">
      <h2 class="titoletto">{{ $t('catena_di_fornitura')}}</h2>
      <v-carousel height="440px" class="" hide-delimiters light interval="600000">
        <v-carousel-item>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
                  <v-avatar>
                    <img src="../assets/IMG/Allevamento.png" alt="mucca" class="immagine-tab">
                    <div class="centered">{{ $t('allevamento_title') }}</div>
                  </v-avatar>
                </v-flex>
                <v-flex d-flex xs12 sm12 md12>
                  <span px-5>{{ $t('allevamento_description') }}</span>
              </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>
        <v-carousel-item>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
                  <v-avatar >
                      <img src="../assets/IMG/raccoltalatte.png" alt="trasporto" class="immagine-tab">
                      <div class="centered">{{ $t('raccoltaDelLattetitle') }}</div>
                  </v-avatar> 
                </v-flex>
                <v-flex d-flex xs12 sm12 md12>
                  <span px-5>{{ $t('raccoltaDelLattedescription') }}</span>
              </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>

        <v-carousel-item>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
                  <v-avatar >
                      <img src="../assets/IMG/trasporto-img.png" alt="trasformazione" class="immagine-tab">
                      <div class="centered">{{ $t('trasporto_title') }}</div>
                  </v-avatar> 
                </v-flex>
                <v-flex d-flex xs12 sm12 md12>
                  <span px-5>{{ $t('trasporto_description') }}</span>
              </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>
        <v-carousel-item>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
                  <v-avatar>
                      <img src="../assets/IMG/Distribuzione.png" alt="distribuzione" class="immagine-tab">
                      <div class="centered">{{ $t('Processotrasformazione_Title') }}</div>
                  </v-avatar> 
                </v-flex>
                <v-flex d-flex xs12 sm12 md12>
                  <span px-5 >{{ $t('Processotrasformazione_description') }}</span>
              </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>
      </v-carousel>
</div>
</template>

<style>
.v-carousel {
  box-shadow: none;
  -webkit-box-shadow: none;
}
.immagine-tab{
  border-radius:50%;
  height: 180px;
  width:180px;
} 
.centered {
  position:absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  color: white;
  margin-right: auto;
  margin-left: auto;
}
.v-avatar {
  height: auto!important;
  width: auto!important;
}
.v-avatar img {
  max-width: 180px;
  width: 100%;
  height: auto;
  margin-top: auto;
  margin-left: auto;
  margin-right: auto;
}

.v-carousel__controls{
  background: none;
}
.theme--light.v-btn{
  color: #000000;
}
.theme--light.v-btn.v-btn--active{
  opacity: 1 !important;
}
.theme--light.v-sheet{
    background-color: transparent;
    border-color: transparent;
    color: transparent;
}
.img-carusel{
  width: 100%;
  height: 100%;
  border-radius: 20px 20px 20px 20px;
  position: relative;
}
button.btn-dettagli{
  margin-top:10%;
}
.btn-dettagli {
  margin: auto;
  background-color: #ffda00;
  color: #000000;
  padding: 10px;
  border-radius: 999rem;
  white-space: nowrap;
  text-decoration: none;
}
.v-carousel__controls__item {
    margin: 0 2px !important;
}
.header-carousel{
  text-align: center;
}
.bg-color{
  background-color: #ffffd7;
}

/* styles for '...' */ 
.block-with-text {
  /* hide text if it more than N lines  */
  overflow: hidden;
  /* for set '...' in absolute position */
  position: relative; 
  /* use this value to count block height */
  line-height: 1.2em;
  /* max-height = line-height (1.2) * lines max number (3) */
  max-height: 3.6em; 
  /* fix problem when last visible word doesn't adjoin right side  */
  text-align: justify;  
  /* place for '...' */
  margin-right: -1em;
  padding-right: 1em;
}
/* create the ... */
.block-with-text:before {
  /* points in the end */
  content: '...';
  /* absolute position */
  position: absolute;
  /* set position to right bottom corner of block */
  right: 0;
  bottom: 0;
}
/* hide ... if we have text, which is less than or equal to max lines */
.block-with-text:after {
  /* points in the end */
  content: '';
  /* absolute position */
  position: absolute;
  /* set position to right bottom corner of text */
  right: 0;
  /* set width and height */
  width: 1em;
  height: 1em;
  margin-top: 0.2em;
  /* bg color = bg color under block */
  background: white;
}

@media only screen and (min-width: 460px) {
  .v-window.v-carousel,.v-image.v-carousel__item {
    /*background-color: lightblue;*/
    height:300px!important;
  }
}
@media only screen and (min-width: 860px) {
  .v-window.v-carousel,.v-image.v-carousel__item {
    /*background-color: lightcoral;*/
    height:430px!important;
  }
}
</style>